{
  "items": [],
  "tableActions": [
    {
      "key": "importInfo",
      "icon": "i-lucide-info",
      "title": "ورود اطلاعات"
    },

    {
      "key": "manageFiles",
      "icon": "i-lucide-upload",
      "title": "بارگذاری فایل"
    }
  ],
  "tableColumns": [
    {
      "key": "branch",
      "title": "دوره",
      "isLink": true,
      "width": "18%",
      "contextmenu": true
    },
    { "key": "title", "title": "عنوان", "width": "15%", "contextmenu": true },
    { "key": "subtitle", "title": "عنوان محتوایی", "width": "25%" },
    { "key": "meet_code", "title": "کد جلسه", "width": "12%" },
    {
      "key": "begin_date",
      "title": "تاریخ",
      "isLink": true,
      "width": "12%",
      "contextmenu": true
    },
    { "key": "author", "title": "مولف", "width": "18%" }
  ],
  "menuItems": [
    [
      {
        "label": "ویرایش سریع",
        "key": "quick-edit",
        "icon": "heroicons:pencil-square"
      },
      {
        "label": "کپی مقدار",
        "key": "copy",
        "icon": "heroicons:clipboard-document"
      },
      {
        "label": "جزئیات",
        "key": "details",
        "icon": "heroicons:information-circle"
      }
    ]
  ],
  "schemaItems": {
    "collapse_items": {
      "key": "collapse",
      "items": [
        {
          "key": "title",
          "items": [
            {
              "key": "branch",
              "source_key": "branch",
              "label": "دوره :",
              "style": "search-label",
              "hilight_key": "branch",
              "link_route": {
                "id": "_id",
                "name": "navigationView",
                "key": "sanad",
                "query": "listkey=branch"
              }
            },
            {
              "key": "author",
              "source_key": "author",
              "label": "",
              "style": "search-label"
            }
          ]
        },
        {
          "key": "inner_hits",
          "array_key": "inner_hits.by_collapse.hits.hits",
          "items": [
            {
              "key": "format",
              "source_key": "format",
              "label": "",
              "style": "search-tag"
            },
            {
              "key": "meet_lid",
              "source_key": "meet_lid",
              "label": "کدداخلی :",
              "style": "search-label"
            },
            {
              "key": "meet_code",
              "source_key": "meet_code",
              "label": "کد جلسه :",
              "style": "search-label"
            },
            {
              "key": "begin_date",
              "source_key": "begin_date",
              "label": "تاریخ :",
              "style": "search-label",
              "process": "convert_date"
            },
            {
              "key": "title",
              "source_key": "title,subtitle",
              "label": "",
              "style": "search-title",
              "link_route": {
                "id": "_id",
                "name": "navigationView",
                "key": "sanad"
              }
            }
          ]
        }
      ]
    },
    "items": [
      {
        "key": "title",
        "items": [
          {
            "key": "format",
            "source_key": "format",
            "label": "",
            "style": "search-tag"
          },
          {
            "key": "title",
            "source_key": "title,subtitle",
            "label": "",
            "style": "search-title",
            "link_route": {
              "id": "_id",
              "name": "navigationView",
              "key": "sanad"
            }
          }
        ]
      },
      {
        "key": "subtitle",
        "items": [
          {
            "key": "meet_lid",
            "source_key": "meet_lid",
            "label": "کدداخلی :",
            "style": "search-label"
          },
          {
            "key": "meet_code",
            "source_key": "meet_code",
            "label": "کد جلسه :",
            "style": "search-label"
          },
          {
            "key": "research_code",
            "source_key": "research_code",
            "label": "کد دوره :",
            "style": "search-label"
          },
          {
            "key": "id",
            "source_key": "id",
            "label": "کد پورتال :",
            "style": "search-label"
          },
          {
            "key": "begin_date",
            "source_key": "begin_date",
            "label": "تاریخ :",
            "style": "search-label",
            "process": "convert_date"
          }
        ]
      },
      {
        "key": "subtitle2",
        "items": [
          {
            "key": "branch",
            "source_key": "branch",
            "label": "دوره :",
            "style": "search-label",
            "hilight_key": "branch",
            "link_route": {
              "id": "_id",
              "name": "navigationView",
              "key": "sanad",
              "query": "listkey=branch"
            }
          },
          {
            "key": "author",
            "source_key": "author",
            "label": "",
            "style": "search-label"
          }
        ]
      },
      {
        "key": "body",
        "items": [
          {
            "key": "content",
            "source_key": "content,mindex,mintro",
            "label": "",
            "hilight_key": "content",
            "style": "search-body"
          }
        ]
      },
      {
        "key": "keywords",
        "items": [
          {
            "key": "keywords",
            "source_key": "keywords",
            "label": "واژه‌گان :",
            "style": "search-label"
          }
        ]
      },
      {
        "key": "media",
        "items": [
          {
            "key": "films",
            "source_key": "films",
            "label": "فیلم :",
            "style": "search-label"
          },
          {
            "key": "voices",
            "source_key": "voices",
            "label": "صوت :",
            "style": "search-label"
          },
          {
            "key": "photos",
            "source_key": "photos",
            "label": "تصاویر :",
            "style": "search-label"
          }
        ]
      },
      {
        "key": "subject",
        "items": [
          {
            "key": "subject",
            "isArray": 1,
            "source_key": "subject",
            "label": "موضوع :",
            "style": "search-label"
          }
        ]
      }
    ],
    "actions": [
      {
        "title": "علاقه مندی ها",
        "key": "tbookmark",
        "can": "favorite_create",
        "type": "button",
        "api_items": {
          "data_type": "bookmark",
          "ref_key": "sanad",
          "id": "_id",
          "title": "_source.title"
        },

        "toggle_icons": {
          "icon1": "i-heroicons-bookmark-solid",
          "icon2": "i-heroicons-bookmark"
        }
      },

      {
        "icon": "i-heroicons-information-circle",
        "title": "مشخصات",
        "key": "summary",
        "can": "search_summary",
        "type": "button"
      },

      {
        "icon": "i-mdi-content-copy",
        "title": "کپی لینک",
        "key": "copy",
        "type": "button",
        "link_route": { "id": "_id", "name": "navigationView", "key": "sanad" }
      }
    ]
  },
  "pagination": {
    "pages": 0,
    "total": 0,
    "page": 1,
    "offset": 0,
    "limit": 10
  },
  "switchSchema": [
    { "key": "list", "label": "نمایش جدول", "icon": "i-ri:table-fill" },
    {
      "key": "table",
      "label": "نمایش لیستی",
      "icon": "i-lsicon:list-outline"
    }
  ],
  "viewMode": "table",
  "contentKey": "sanad",
  "textSearch": "",
  "isSearchingState": true,
  "height": "calc(-20em + 100vh)"
}
